Subject: [bug#31121] [PATCH 3/3] gnu: Add osc.

From: Marius Bakke <[email-masked]>
Date: Thu, 19 Apr 2018 17:41:07 +0200

Tomáš Čech <[email-masked]> writes:

> Hi,
>
> On Wed, Apr 18, 2018 at 01:21:02PM +0200, Marius Bakke wrote:
>>Tomáš Čech <[email-masked]> writes:
>>
>>>  * gnu/packages/build-tools.scm (osc): New variable.
>>
>>[...]
>>
>>> +(define-public osc
>>> +  (package
>>> +    (name "osc")
>>      ^
>>Indentation off here too.
>
> I'm sorry, I'm a bit confused here. My Emacs indent the code like this
> and indent script you pointed in previous mail doesn't change it for me.
>
> You would like me to reduce one space? Like this?
>
> (define-public osc
>   (package
>    (name "osc")
>
> It seems that this is not unified in the code. Can I somehow teach my
> Emacs indentantation rules?

Whoops.  I didn't actually verify this, it just looked wrong.  If
someone has a dir-locals.el parser for human brains I'd be interested in
buying one.

Trying it locally in emacs shows that your original level was correct
(though I think the other instance was actually off, no?).  Anyway LGTM!